> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Post remappersblocks mapped to timestamps



## OpenAPI

````yaml /data-structure-indexer-api/openapi-data-structure-indexer-api.json post /remappers/blocks-mapped-to-timestamps
openapi: 3.0.3
info:
  title: Data Structure Indexer API
  description: API for fetching data from the Data Structure Indexer
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://rs-indexer.api.herodotus.cloud
    description: Production server
  - url: https://staging.rs-indexer.api.herodotus.cloud
    description: Staging server
security: []
tags:
  - name: accumulators
    description: Accumulators endpoints.
  - name: remappers
    description: Remappers endpoints.
paths:
  /remappers/blocks-mapped-to-timestamps:
    post:
      tags:
        - remappers
      operationId: get_blocks_mapped_to_timestamps
      parameters:
        - name: origin_chain
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChainId'
        - name: destination_chain
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChainId'
      requestBody:
        description: Blocks mapped to timestamps
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlocksMappedToTimestampsBody'
        required: true
      responses:
        '200':
          description: Get blocks mapped to timpestamps
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlocksMappedToTimestampsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
components:
  schemas:
    ChainId:
      type: string
      enum:
        - '1'
        - '11155111'
        - '137'
        - '280'
        - MADARA_PRAGMA
        - STARKNET
        - SN_SEPOLIA
        - '300'
        - '11155420'
        - '421614'
        - '4801'
        - '84532'
        - UNKNOWN
    BlocksMappedToTimestampsBody:
      type: object
      required:
        - block_numbers
      properties:
        block_numbers:
          type: array
          items:
            type: integer
            format: int32
    BlocksMappedToTimestampsResponse:
      type: object
      required:
        - blocks
      properties:
        blocks:
          type: array
          items:
            $ref: '#/components/schemas/BlockMappedToTimestamp'
    ApiErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    BlockMappedToTimestamp:
      type: object
      required:
        - block_number
        - timestamp
        - onchain_remapper_id
      properties:
        block_number:
          type: integer
          format: int32
        onchain_remapper_id:
          type: string
        timestamp:
          type: integer
          format: int32

````